From b50ac080e65deaf30cce9eb614aaf08258f8fb55 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Mar 30 2016 19:51:38 +0000
Subject: [PATCH 379/1001] Use "or" not "and" here...


---

diff --git a/hubs/consumer.py b/hubs/consumer.py
index bde01c7..137d37f 100755
--- a/hubs/consumer.py
+++ b/hubs/consumer.py
@@ -114,7 +114,12 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
 
     @property
     def lookup_initialized(self):
-        return self.checks_by_topic and self.checks_by_category
+        return any([
+            self.checks_by_topic,
+            self.checks_by_category,
+            self.checks_by_username,
+            self.ubiquitous_checks,
+        ])
 
     def consume(self, raw_msg):
         queue = self.make_queue()

